Hardware overview

Hardware includes any physical device that is connected to your computer and is controlled by your computer's microprocessor. This includes equipment that was connected to your computer when it was manufactured, as well as peripheral equipment that you added later. Modems, disk drives, CD-ROM drives, printers, network adapters, keyboards, and display adapter cards are all examples of devices.

Devices (Plug and Play and non-Plug and Play) can be connected to your computer in several ways. Some devices, like network adapters and sound cards, are connected to expansion slots inside your computer. Other devices, like printers and scanners, are connected to ports on the outside of your computer. Some devices, known as PC Cards, connect only to PC Card slots on a portable computer.

For a device to work properly with Windows 2000, software known as a device driver must be loaded onto the computer. Each device has its own unique device driver, which is typically supplied by the device manufacturer. However, some device drivers are included with Windows 2000.

You can configure devices using the Add/Remove Hardware wizard in Control Panel or the Device Manager.

Important

  • You must be logged on as an administrator or a member of the Administrators group to configure a device using the Add/Remove Hardware wizard in Control Panel or Device Manager. If your computer is connected to a network, network policy settings may also prevent you from installing hardware.

Note

  • To update all drivers at once, use Windows Update. For information about updating your system files using Windows Update, see Related Topics.

Related Topics


Common tasks: Add/Remove Hardware

Common tasks

The following tasks are frequently used to manage hardware.

Install or uninstall hardware devices

Add or remove new devices, including Plug and Play, non-Plug and Play, SCSI, and USB devices.

Step-by-step procedure

Related Topics

Update device drivers

Update device drivers and view driver details.

Step-by-step procedure

Troubleshoot hardware problems

Use troubleshooters and other tools that can help you evaluate and repair the installation for your hardware.

Step-by-step procedure

Unplug or eject hardware

Stop a device so you can safely unplug it or eject it from your computer without shutting down the computer.

Step-by-step procedure


Install a device

To install a device

  • Connect the device to the appropriate port or slot on your computer, according to the device manufacturer's instructions. You may need to start or restart your computer.

Notes

  • You may require administrative privileges to add and set up a Plug-and-Play device. You need administrative privileges if installing the device requires a user interface or if you experience errors during the installation process. To add and set up a non Plug-and-Play device connected directly to your computer, you must be logged on as an administrator or a member of the Administrators group. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • If an administrator has already loaded the drivers for the device, you can install the device without administrator privileges.
  • If you need to start or restart your computer, Windows 2000 should detect the device and start the Found New Hardware wizard.
  • If you need to install a device, such as a sound card, into a slot inside your computer, shut down Windows and turn off the computer. Remove the computer cover and install the device in the appropriate slot. Replace the computer cover, and then turn on the computer.
  • If your device did not install properly, you may have an older, non-Plug and Play device. For more information about installing a non-Plug and Play device, see Related Topics.
  • If prompted, follow the instructions on the screen to choose a destination path to install drivers for the device.
  • If the device is a small computer system interface (SCSI) device, connect it to the SCSI port on your computer according to the device manufacturer's instructions. Restart or turn on your computer.

    You need to be sure that the device number for the SCSI device is not used by another SCSI device. To change the device number, see the device manufacturer's instructions.

  • If the device is a universal serial bus (USB) or IEEE 1394 device, plug it into any USB or IEEE port on your computer. Follow the instructions that appear on your screen.

    You do not need to shut down or turn off your computer when you install or plug in a USB or IEEE 1394 device. Although USB and IEEE 1394 are similar technologies, you cannot interchange USB connections with IEEE 1394 connections.

  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Installing devices

Installing a new device typically involves three steps:

  • Connecting the device to your computer.
  • Loading the appropriate device drivers for the device.
  • Configuring device properties and settings.

To ensure that the device functions properly, you should follow the device manufacturer's installation instructions. This may require you to shut down and unplug your computer, and then connect the device to the appropriate port or insert it into the appropriate slot.

If the device is Plug and Play, or it is a necessary startup device like the hard disk, this detection happens automatically. However, for some older devices, after you connect it to your computer, you may have to restart your computer. Windows 2000 then attempts to detect your new device.

If the device is not Plug and Play, you may have to use the Add/Remove Hardware wizard in Control Panel to tell Windows 2000 what type of device you are installing. After the device is detected, or you identify the device using the Add/Remove Hardware wizard, Windows 2000 may ask you to insert the Windows 2000 CD-ROM or the manufacturer's floppy disk so it can load the proper device drivers.

After the device drivers are loaded onto your system, Windows 2000 configures the properties and settings for the device. Although you can manually configure device properties and settings, you should let Windows 2000 do it. When you manually configure properties and settings, the settings become fixed, which means Windows 2000 cannot modify them in the future if a problem arises or there is a conflict with another device.

Important

  • You must be logged on as an administrator or as a member of the Administrators group in order to install a device using the Add/Remove Hardware wizard in Control Panel. If your computer is connected to a network, network policy settings may also prevent you from installing hardware. If an administrator has already loaded the drivers for a device, you can install the device without administrator privileges.


Uninstall a device

To uninstall a device

  1. Open Add/Remove Hardware in Control Panel.
  2. Click Next, click Uninstall/Unplug a device, and then click Next.
  3. Click Uninstall a device, and then click Next.
  4. Click the device you want to uninstall, and then click Next.
  5. Follow the instructions that appear on your screen.
  6. When you are done uninstalling, remove the device from the computer.

Notes

  • You do not normally have to use the Device Manager or the Add/Remove Hardware wizard to uninstall a Plug and Play device. Simply disconnect the Plug and Play device from your computer. You may have to restart your computer. Check the device manufacturer's instructions for more information.
  • You can also remove a device using the Device Manager.
  • Uninstalling a device does not remove the device drivers from your computer's hard disk.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Uninstalling devices

You can usually uninstall a Plug and Play device by disconnecting or removing the device. Some devices may require you to turn off the computer first. To ensure that you do this properly, you should consult the device manufacturer's installation/removal instructions.

Uninstalling a non-Plug and Play device typically involves two steps:
  • Using Control Panel to uninstall the device.
  • Removing the device from your computer.

You can use either the Add/Remove Hardware wizard or Device Manager to notify Windows 2000 that you want to uninstall a non-Plug and Play device. After you notify Windows 2000 that you are uninstalling a device, you must physically disconnect or remove the device from your computer. For example, if the device is connected to a port on the outside of your computer, you would shut down your computer, disconnect the device from the port, and then unplug the power cord for the device.

Instead of uninstalling a device that you may attach again, like a modem, you can disable a Plug and Play device. When you disable a device, the physical device stays connected to your computer, but Windows 2000 updates the system registry so that the device drivers are no longer loaded when you start your computer. The drivers are available again when you enable the device. Disabling devices is useful if you want to have more than one hardware configuration for your computer or if you have a portable computer and you use it at a docking station.

Note

  • The Add/Remove Hardware wizard or Device Manager does not remove device drivers from your hard disk. If you want to do this, you should consult the device manufacturer's documentation to determine which drivers to remove from your hard disk.


Configuring devices

When you install a Plug and Play device, Windows 2000 automatically configures the device so it will work properly with the other devices that are installed on your computer. As part of that configuration process, Windows 2000 assigns a unique set of system resources to the device you are installing. These resources can include one or more of the following:

  • Interrupt request (IRQ) line numbers.
  • Direct memory access (DMA) channels.
  • Input/output (I/O) port addresses.
  • Memory address ranges.

Each resource that is assigned to your device must be unique or the device does not function properly. For Plug and Play devices, Windows 2000 automatically ensures that these resources are configured properly.

Occasionally, two devices require the same resources, resulting in a device conflict. If this occurs, you can manually change the resource settings to be sure that each setting is unique. However, sometimes two devices can be shared, such as interrupts on PCI devices, depending on the drivers and computer.

When you install a non-Plug and Play device, the resource settings for the device are not automatically configured. Depending on the type of device you are installing, you may have to manually configure these settings, which should be supplied in the instruction manual that came with your device.

Generally, you should not change resource settings manually, because when you do so, the settings become fixed, and Windows 2000 will then have less flexibility when allocating resources to other devices. If too many resources become fixed, Windows 2000 may not be able to install new Plug and Play devices.

You can configure devices using the Add/Remove Hardware wizard in Control Panel or the Device Manager.

Important

  • Changing resource settings improperly can disable your hardware and cause your computer to malfunction or be inoperable. Resource settings should only be changed if you are certain the new settings do not conflict with other hardware, or if a hardware manufacturer has provided you with specific resource settings for a device.


Diagnose device problems

To diagnose device problems

  1. Open Add/Remove Hardware in Control Panel.
  2. Click Next, click Add/Troubleshoot a device, and then click Next. Windows 2000 tries to detect new Plug and Play devices.
  3. Choose the device you want to diagnose and fix, and then click Next.
  4. Follow the instructions on the screen.

Notes

  • If you cannot find the device in the list, click Add a new device, and then follow the instructions on the screen.
  • You can also perform some diagnostic tasks, including repairing devices that are not working properly, using the Device Manager. This is recommended only for users who have an expert understanding of devices and device configurations.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Unplug or eject devices

To unplug or eject devices

  1. Open Add/Remove Hardware in Control Panel.
  2. Click Next, click Uninstall/Unplug a device, and then click Next.
  3. Click Unplug/Eject a device, and then click Next.
  4. Select the device you want to unplug or eject, and then click Next.
  5. Click Next to confirm that you want the device unplugged or ejected.
  6. Click Finish.

Important

  • It is important to use the Add/Remove Hardware wizard before physically unplugging a device to avoid data loss or other serious malfunctions of the computer or device.

Notes

  • If you frequently need to unplug the device, be sure the Show Unplug/Eject icon on the taskbar check box is selected in the Completing the Add/Remove Hardware Wizard page. The next time you want to unplug or eject the device, you can use the icon on the taskbar instead of the Add/Remove Hardware wizard.
  • To reinstall the device, connect the device to the appropriate slot or port.


Undock a portable computer

To undock a portable computer

  1. Click Start.
  2. Click Eject PC. A message appears, saying it is safe to undock your computer.
  3. Undock your portable computer, or, if you have a motorized docking station, your portable computer will automatically undock.

Notes

  • If Eject PC does not appear on the Start menu, use the Add/Remove Hardware wizard in Control Panel to remove the portable computer for the first time. For more information, see Related Topics.
  • If Eject PC still does not appear on the Start menu, then your computer may not support undocking or you may not have security privileges to undock your portable computer. See your administrator for these privileges.
  • Some computers have an eject button on the docking station. Pressing that button instead of following this procedure also undocks the laptop. Read the manufacturer's instructions for more information.
  • To work on files or folders that are located on the network, ensure that you make the item available on your undocked laptop. For more information, see Related Topics.
  • For optimal laptop performance, you should change your power scheme using Power Options in Control Panel. For more information, see Related Topics.
  • Programs located on a network will not be available on your laptop when you undock.


Plug and Play overview

With Windows 2000, it is simple to install a Plug and Play device. Just plug it in and Windows 2000 does the rest by installing any necessary drivers, updating the system, and allocating resources.

For example, you can dock a portable computer and connect to a network without changing the configuration. Later, you can undock that same computer and use a modem to connect to the network, again without making any changes to the configuration. Windows 2000 does it for you.

With Plug and Play, you can be confident that any new devices will work together properly and that your computer will restart correctly after you install or uninstall hardware.

Plug and Play also recognizes any new hardware when you start your computer and loads any drivers that the hardware device needs.

When you install or uninstall a hardware device, Plug and Play works with Windows 2000 Power Options to manage the power requirements of your hardware and peripherals, shutting them down or conserving power when you are not using them. And, if you are working in another program when you install or uninstall a device, Plug and Play lets you know that it is about to change your computer configuration and warns you to save your work.

If something does go wrong, Plug and Play records the information in an Event Log.


Plug and Play device driver support

Windows 2000 installs a Plug and Play device and its driver automatically. If you choose to install an older driver or hardware device, however, you may have limited Plug and Play support or none at all.

Using a Plug and Play driver to install a non-Plug and Play device may provide some Plug and Play support. Although the system cannot recognize the hardware and load the appropriate drivers on its own, Plug and Play can oversee the installation by allocating resources, interacting with Power Options in Control Panel, and recording any issues in the Event Log.

Generally, you cannot install non-Plug and Play hardware without performing some manual setup. Use the Add/Remove Hardware wizard in Control Panel or Device Manager to change the settings for these older devices.

Before uninstalling a Plug and Play device, you must use either the Add/Remove Hardware wizard or Device Manager to notify Windows 2000 that you want to remove the device. Once you notify Windows 2000, the drivers for the device are no longer loaded when you start your computer.

Important

  • You must be logged on as an administrator or a member of the Administrators group in order to install a device using Add/Remove Hardware wizard in Control Panel or Device Manager. If your computer is connected to a network, network policy settings may also prevent you from installing hardware. If an administrator has already loaded the drivers for a device, you can install the device without administrator privileges.


Using Plug and Play with ACPI hardware

To take full advantage of Plug and Play, you must use an Advanced Configuration and Power Interface (ACPI) computer, running in ACPI mode, and the hardware devices must be Plug and Play. In an ACPI computer, the operating system, not the hardware, configures and monitors the computer.

The Windows 2000 operating system determines which programs are active and manages all of the power requirements for your computer subsystems and peripherals. ACPI lets the operating system direct power to devices as they need it, preventing unnecessary power demands on your system.

Because Windows 2000 controls your computer's resources and configuration, you can install Plug and Play hardware devices without restarting. Windows 2000 automatically identifies the new hardware and installs the drivers it may need. If you are using any other type of computer, you may need to perform some manual setup and restart your computer when installing new hardware devices.


Managing power when installing a Plug and Play device

Plug and Play works with Power Options in Control Panel to be sure that your system runs efficiently while you are installing or removing hardware devices. Power Options controls the power supply to the devices attached to your computer, supplying power to those that you are using and conserving power for those that you are not. Windows 2000 will automatically manage the power for devices. However, some devices may have options you can set in Device Manager.

To use Power Options, you must have an Advanced Configuration and Power Interface (ACPI) computer that is set up by the manufacturer to support these features. For more information, see your computer's documentation.


Install a non-Plug and Play device

To install a non-Plug and Play device

  1. Open Add/Remove Hardware in Control Panel.
  2. Click Next, click Add/Troubleshoot a device, and then click Next. Windows 2000 attempts to detect new Plug and Play devices.
  3. If your device is not in the device list, click Add a new device.
  4. Click Next, and then do one of the following:
    • Click Yes, search for new hardware if you want Windows 2000 to try and detect the new non-Plug and Play device you want to install.
    • Click No, I want to select the hardware from a list if you know the type and model of the device you are installing and you want to select it from a list of devices.
  5. Click Next, and then follow the instructions that appear on your screen.

Notes

  • You may require administrative privileges to add and set up a Plug-and-Play device. You need administrative privileges if installing the device requires a user interface or if you experience errors during the installation process. To add and set up a non Plug-and-Play device connected directly to your computer, you must be logged on as an administrator or a member of the Administrators group. If your computer is connected to a network, network policy settings may also prevent you from completing this procedure.
  • If you are not an administrator or a member of the Administrators group, you can use Run as to perform certain administrator functions. For more information on how to use Run as, see Related Topics.


Hardware profiles overview

A hardware profile is a set of instructions that tells Windows 2000 which devices to start when you start your computer or what settings to use for each device. When you first install Windows 2000, a hardware profile called Profile 1 (for laptops, the profiles would be Docked Profile or Undocked Profile) is created. By default, every device that is installed on your computer at the time you install Windows 2000 is enabled in the Profile 1 hardware profile.

Hardware profiles are especially useful if you have a portable computer. Most portable computers are used in a variety of locations, and hardware profiles will let you change which devices your computer uses when you move it from location to location. For example, you may have one profile named Docking Station Configuration for using your portable computer at a docking station with hardware components such as a CD-ROM drive and a network adapter. And you may have a second profile named Undocked Configuration for using your portable computer in a hotel or on an airplane, when you are not using a network adapter or a CD-ROM but you are using a modem and a portable printer.

You can manage hardware profiles by double-clicking System in Control Panel, clicking the Hardware tab, and clicking Hardware Profiles. If there is more than one hardware profile, you can designate a default profile that will be used every time you start your computer. You can also have Windows 2000 ask you which profile to use every time you start your computer. Once you create a hardware profile, you can use Device Manager to disable and enable devices that are in the profile. When you disable a device in a hardware profile, the device drivers for the device are not loaded when you start your computer.


Hardware types overview

Windows 2000 classifies devices by hardware type. Hardware types include such things as display adapter cards, keyboards, CD-ROM drives, ports, and printers. When you use the Device Manager or the Add/Remove Hardware wizard, you will see a list of the hardware types that are installed on your computer.

Hardware types are further categorized according to individual devices. For example, the modem hardware type represents over 200 different modems that you can install and use with Windows 2000.

Devices can also be classified according to the way they are connected to your computer. Most devices are permanently connected to your computer and are typically installed only once. They are available every time you turn on your computer unless you disable or uninstall them. Sound cards, video display cards, modems, and hard disks are examples of these types of devices.

Other devices are designed to be connected and disconnected from your computer as you need them. You can plug or insert these types of devices into the appropriate port or expansion slot, and Windows 2000 will recognize the device and configure it without restarting your computer. Likewise, when you disconnect these types of devices, you need to inform Windows 2000 only that you are ejecting, removing, or unplugging it. You do not need to shut down or restart your computer. Examples of these types of devices include:

  • PC Cards that connect to portable computers.
  • Hardware that connects to a universal serial bus (USB) or an IEEE 1394 bus.
  • Docking stations that support hot docking and undocking of portable computers.
  • Hardware that connects to serial or parallel ports.

For a comprehensive list of the devices supported by Windows operating systems, see the Microsoft Windows Hardware Compatibility List at the Microsoft Web site (http://www.microsoft.com/).